# frozen_string_literal: true
require_relative '../helper'
require 'fluent/plugin/in_jfrog_metrics'

class JfrogMetricsInputTest < Test::Unit::TestCase
  setup do
    Fluent::Test.setup
  end

  test 'failure' do
    #flunk
  end

  # Default configuration for tests
  CONFIG = %(
     tag "jfrog.artifactory.metrics"
     jpd_url "http://localhost:8081"
     username "admin"
     apikey "AKCp8k8PbyomdfXsVzoQWaYQZmq9wk49JXQLaP1wXJpa6LdzpFkuJ4VcWd61U6fYWwDJymLDR"
     metric_prefix "jfrog.artifactory"
   )

  private

  def create_driver(conf)
    Fluent::Test::Driver::Input.new(Fluent::Plugin::JfrogMetricsInput).configure(conf)
  end

  sub_test_case 'Testing' do
    test 'Testing plugin in_jfrog_metrics' do
      d = create_driver(CONFIG)
      begin
        d.run
      rescue StandardError => e
        raise "Test failed due to #{e}"
      end
    end
  end
end
